const { createActionHandler } = require('../')

const test = require('tape')

const actionType = 'INCREASE_BY'

const handler = (state, action) => state + action.payload

const actionHandler = createActionHandler(actionType, handler)

test('createActionHandler should return an object', (t) => {
  t.plan(1)
  t.equal(typeof createActionHandler, 'function')
})

test('createActionHandler should return an object', (t) => {
  t.plan(1)
  t.equal(typeof actionHandler, 'object')
})

test('createActionHandler should have a proper key on the returned object', (t) => {
  t.plan(1)
  t.notEqual(actionHandler[actionType], undefined)
})

test('createActionHandler should have a proper value on the returned object', (t) => {
  t.plan(1)
  t.equal(actionHandler[actionType], handler)
})
