const promiseMiddleware = store => next => action => {
  if (isPromise(action.payload)) {
    action.payload
      .then(next)
      .catch(next)
  }
  next(action)
}

const isPromise = (subject) => subject instanceof Promise

module.exports = promiseMiddleware
