const test = require('tape')

const { createActionCreator } = require('..')

const actionCreator = createActionCreator((value) => ({type: 'INCREASE_BY', value}))

test('createActionCreator should be a function', (t) => {
  t.plan(1)
  t.equal(typeof createActionCreator, 'function')
})

test('createActionCreator should return the function it has as argument', (t) => {
  t.plan(1)
  t.equal(createActionCreator(actionCreator), actionCreator)
})
